--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 14/458
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              06-MAY-14   Generis           13.3
--------------------------------------------------------------------------------
--
SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
--
PROMPT
PROMPT Script to regress MDD change 14/458
PROMPT
PROMPT Version 13.3
PROMPT
--
PROMPT
PROMPT Delete GRN as SHIP (and GAO) (MDD 14/458)
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

 EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                     WHERE MARKET_PARTICIPANT_CODE = ''GRN''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

 EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                     WHERE MARKET_PARTICIPANT_CODE = ''GRN''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                     WHERE MARKET_PARTICIPANT_CODE = ''GRN''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;

END;
/
--
PROMPT
PROMPT Delete TST as SHIP (and GAO) (MDD 14/458.2)
PROMPT
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

 EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                     WHERE MARKET_PARTICIPANT_CODE = ''TST''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

 EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                     WHERE MARKET_PARTICIPANT_CODE = ''TST''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                     WHERE MARKET_PARTICIPANT_CODE = ''TST''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;

END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
